de.esprit.netsuite.client.abo.std

## Class TankABO

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.AbstractCrossPlatformObject<C,S>
      - - de.esprit.netsuite.server.core.AccessibleServerObject<C,S>
        - - de.esprit.netsuite.server.abo.AbstractABO<C,S,I>
          - - de.esprit.netsuite.server.abo.AbstractPersistentABO<ClientContext,ServerContext,TankABO>
            - - de.esprit.netsuite.client.abo.std.TankABO

- All Implemented Interfaces:
    Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<ClientContext>, CrossPlatformObject<ClientContext,ServerContext>, LastAccessed, LastChanged, AliveBusinessObject<ClientContext,ServerContext,TankABO>, RemoteLockable, PermissionControlled, ServerObject<ServerContext>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class TankABO
      extends AbstractPersistentABO<ClientContext,ServerContext,TankABO>
      implements LastChanged

  This is a sample persistent `AliveBusinessObject` built on a `DBO_tnt_tank` database record.

  Note that once the client receives this instance from the server, any change done on server side will automatically be notified. Thus the client always reflects the actual state without any client side action.

  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TankABO(ClientContext clientCtx)`
    `TankABO(ServerContext serverCtx)`
    `TankABO(ServerContext serverCtx, DBO_tnt_tank tankRec)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ABOEditDialog` | `createEditDialog(javax.swing.JDialog parent, ABOList list)`
    `protected DBO_tnt_tank` | `createNewRecord()`
    `protected DBO_tnt_tank` | `createRecord(java.lang.Object... pkValues)`
    `int` | `getCapacity()`
    `java.sql.Timestamp` | `getChangedTs()`
    `int` | `getChangedUid()`
    `java.lang.String` | `getComment()`
    `java.sql.Timestamp` | `getCreatedTs()`
    `int` | `getCreatedUid()`
    `java.lang.String` | `getFluid()`
    `int` | `getLevel()`
    `static TankABO` | `getMaster(ClientContext clientCtx)`
    `DBO_tnt_tank` | `getRecord()`
    `java.lang.String` | `getRenderText()`
    `TankABO` | `instantiateOnServer(java.lang.Object... pkValues)`
    `void` | `setCapacity(int value)`
    `void` | `setChangedTs(java.sql.Timestamp ts)`
    `void` | `setChangedUid(int uid)`
    `void` | `setComment(java.lang.String value)`
    `void` | `setCreatedTs(java.sql.Timestamp ts)`
    `void` | `setCreatedUid(int uid)`
    `void` | `setFluid(java.lang.String value)`
    `void` | `setLevel(int value)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractPersistentABO

      `createOnServer, createPrimaryKey, deleteOnServer, equals, find, getRenderIcon, overtakeABOValues, setRecord, toDumpString, updateOnServer`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractABO

      `addChangeListener, clone, compareTo, copyABOValues, create, createChangeGate, createPermissionDefinition, deepClone, delete, drop, dropOnServer, fetch, findCachedABOs, fireABOInitialized, getPermissionDefinition, getPrimaryKey, getRenderColor, getResourceName, getResourceType, getUpdateCount, hashCode, isbeingAccessed, isCacheResident, isLockedByMe, isNumb, isOnline, isVisibleInClientMonitor, receivedUpdateEvent, refetch, removeChangeListener, setLocked, setNumb, update, update`

    - ### Methods inherited from class de.esprit.netsuite.server.core.AccessibleServerObject

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

    - ### Methods inherited from class de.esprit.netsuite.netdata.AbstractCrossPlatformObject

      `checkOnClient, checkOnServer, getClientContext, getLogChannel, getServerContext, isLogDebug, isLogVerbose, isOnClient, isOnServer, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setClientContext, setLogChannel, setServerContext`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.LastAccessed

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.CrossPlatformObject

      `isOnClient, isOnServer, setClientContext, setServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Constructor Detail

    - #### TankABO

          public TankABO(ClientContext clientCtx)

    - #### TankABO

          public TankABO(ServerContext serverCtx)

    - #### TankABO

          public TankABO(ServerContext serverCtx,
                 DBO_tnt_tank tankRec)

  - ### Method Detail

    - #### getMaster

          public static TankABO getMaster(ClientContext clientCtx)

    - #### getRecord

          public DBO_tnt_tank getRecord()

      Overrides:
        `getRecord` in class `AbstractPersistentABO<ClientContext,ServerContext,TankABO>`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `AbstractABO<ClientContext,ServerContext,TankABO>`

    - #### getLevel

          public int getLevel()

    - #### setLevel

          public void setLevel(int value)

    - #### getCapacity

          public int getCapacity()

    - #### setCapacity

          public void setCapacity(int value)

    - #### getFluid

          public java.lang.String getFluid()

    - #### setFluid

          public void setFluid(java.lang.String value)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String value)

    - #### getCreatedTs

          public java.sql.Timestamp getCreatedTs()

      Specified by:
        `getCreatedTs` in interface `LastChanged`

    - #### setCreatedTs

          public void setCreatedTs(java.sql.Timestamp ts)

      Specified by:
        `setCreatedTs` in interface `LastChanged`

    - #### getChangedTs

          public java.sql.Timestamp getChangedTs()

      Specified by:
        `getChangedTs` in interface `LastChanged`

    - #### setChangedTs

          public void setChangedTs(java.sql.Timestamp ts)

      Specified by:
        `setChangedTs` in interface `LastChanged`

    - #### getCreatedUid

          public int getCreatedUid()

      Specified by:
        `getCreatedUid` in interface `LastChanged`

    - #### setCreatedUid

          public void setCreatedUid(int uid)

      Specified by:
        `setCreatedUid` in interface `LastChanged`

    - #### getChangedUid

          public int getChangedUid()

      Specified by:
        `getChangedUid` in interface `LastChanged`

    - #### setChangedUid

          public void setChangedUid(int uid)

      Specified by:
        `setChangedUid` in interface `LastChanged`

    - #### createEditDialog

          public ABOEditDialog createEditDialog(javax.swing.JDialog parent,
                                       ABOList list)

      Specified by:
        `createEditDialog` in interface `AliveBusinessObject<ClientContext,ServerContext,TankABO>`

    - #### createNewRecord

          protected DBO_tnt_tank createNewRecord()

      Specified by:
        `createNewRecord` in class `AbstractPersistentABO<ClientContext,ServerContext,TankABO>`

    - #### createRecord

          protected DBO_tnt_tank createRecord(java.lang.Object... pkValues)
                                       throws java.lang.Exception

      Specified by:
        `createRecord` in class `AbstractPersistentABO<ClientContext,ServerContext,TankABO>`
      Throws:
        `java.lang.Exception`

    - #### instantiateOnServer

          public TankABO instantiateOnServer(java.lang.Object... pkValues)
                                      throws java.lang.Exception

      Specified by:
        `instantiateOnServer` in interface `AliveBusinessObject<ClientContext,ServerContext,TankABO>`
      Throws:
        `java.lang.Exception`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractABO<ClientContext,ServerContext,TankABO>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.